
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap');


*{
    margin: 0px;
    border: 0px;
}

html{
    scroll-behavior: smooth;
}

:root{
    --cor-branca: #F8F8F8; 
    --cor-amarela: #FAE247;
    --cor-azul: #0E3386;
    --cor-background-cards: #FFFFFF;
}

body{
    overflow-x: hidden;
}


header{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: var(--cor-amarela);

    padding-bottom: 1em;
}


header ul{
    display: flex;
    flex-direction: row;
    list-style-type: none;
    align-items: center;
    gap: 1.5em;

    font-family: 'Inter', sans-serif;
    font-weight: bold;
    color: var(--cor-azul);
    font-size: 0.8em;
    
    margin-top: 1em;
    margin-right: 1em;
    
}

#section_entrada{
    background-color: var(--cor-amarela);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#section_beneficios{
    background-color: var(--cor-amarela);
}

#section_beneficios ul{
    padding-top: 3em;
    padding-bottom: 3em;
    list-style-type: none;
    display: flex;
    flex-direction: column;
    gap: 2em;
}

#section_beneficios ul li div{
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 1em;
}

#section_beneficios ul li div .card_beneficio{
    display: flex;
    flex-direction: column;
    justify-content: left;
    align-items: flex-start;
}

#section_beneficios ul li div .titulo_beneficio{
    font-family: 'Inter', 'sans-serif';
    font-weight: bold;
    font-size: 0.8em;
    color: var(--cor-azul);
    align-items: center;
}

#section_beneficios h1{
    font-family: 'Poppins', 'sans-serif';
    text-align: center;
    color: var(--cor-azul);
    font-size: 1em;
    padding-top: 3em;
}

#section_beneficios ul li div .texto_beneficio{
    font-family: 'Poppins', 'sans-serif';
    font-style: italic;
    font-size: 0.7em;
    margin-top: -0.5em;
}

#section_beneficios ul li div img{
    width: 4em;
    height: 4em;
}

header ul li a{
    text-decoration: none;
    color: var(--cor-azul);
}

#section_entrada div{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: baseline;
    gap: 0.3em;
    margin-left: 1.4em;
}

#section_historia{
    background-color: var(--cor-amarela);
    display: flex;
    flex-direction: row;
    gap: 1em;
    padding-bottom: 5em;
}

#section_historia div{
    display: flex;
    flex-direction: column;
    margin-left: 1em;
    gap: 0.5em;
}

#section_historia div h1{
    font-family: 'Poppins', 'sans-serif';
    font-size: 1em;
    color: var(--cor-azul);
    font-weight: bold;
    margin-top: 2em;
}

#section_historia div p{
    font-family: 'Inter', 'sans-serif';
    font-size: 0.9em;
    color: var(--cor-azul);
    margin-top: 1em;
    width: 23em;
    text-align: left;
}

#section_historia div img{
    scale: 0.8;
    box-shadow:  1px 3px 10px rgba(0, 0, 0, 0.57);
}

#section_clientes{
    background-color: var(--cor-branca);
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 40em;
}

#section_clientes ul{
    padding: 0px;
    list-style-type: none;
    display: flex;
    flex-direction: column;
    gap: 3em;
    margin-top: 2em;
    margin-left: 1em;
    margin-right: 1em;
}

#section_clientes ul li div{
    background-color: var(--cor-amarela);
    border-radius: 5px;
    padding: 0.2em;
    margin: auto;
    box-shadow:  1px 3px 10px rgba(0, 0, 0, 0.57);
}

#section_clientes ul li div img{
    scale: 0.9;
    border: 0px;
    margin-left: 0.5em;
    margin-top: 0.5em;
}

#section_clientes #texto_google_meu_negocio{
    font-family: 'Inter', 'sans-serif';
    font-size: 0.8em;
    color: var(--cor-azul);
    margin-left: auto;
    margin-right: auto;
    margin-top: 5em;
}

#section_clientes ul li div p{
    font-family: 'Poppins', 'sans-serif';
    color: var(--cor-azul);
    font-size: 0.8em;
    padding: 1em;
}

#section_clientes h1{
    font-family: 'Poppins', 'sans-serif';
    color: var(--cor-azul);
    font-size: 1em;
    margin-top: 2em;
    margin-bottom: 2em;
}

#section_produtos{
    background-color: var(--cor-branca);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#section_produtos ul{
    list-style-type: none;
    display: flex;
    flex-direction: row;
    gap: 2em;

    overflow-x: auto;
    scroll-behavior: smooth;
    max-width: 84vw;
    padding: 1.5em;
    cursor: grab;

}

#section_produtos ul:active{
    cursor: grabbing;
}

#section_produtos ul li div{
    height: 27em;

}


#section_produtos ul li{
    flex: 0 0;
    margin-top: 2em;
}

#section_produtos ul li div{
    background-color: var(--cor-background-cards);
    display: flex;
    flex-direction: column;
    width: 12em;
    padding: 1em;
    box-shadow: 1px 2px 10px 1px rgba(0, 0, 0, 0.57);
    border-radius: 10px;
    margin-bottom: 4em;
}

#section_produtos ul li div .tipo_do_ovo{
    font-family: 'Inter', 'sans-serif';
    font-weight: bold;
    font-size: 0.9em;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    color: var(--cor-azul);
} 

#section_produtos ul li div img{
    border-radius: 10px;
    height: 10em;
}


#section_produtos ul li div .descricao_do_tipo_do_ovo{
    font-family: 'Inter', 'sans-serif';
    font-size: 0.8em;
    text-align: justify;
}

#section_produtos ul li div .btn_ovos{
    background-color: var(--cor-amarela);
    width: 10em;
    margin: auto;
    margin-top: 5em;
    padding: 0.7em;
    border-radius: 20px;
    box-shadow: 1px 2px 5px 1px rgba(0, 0, 0, 0.57);
}

#section_produtos ul li div #btn_ovos_vermelho{
    background-color: var(--cor-amarela);
    width: 10em;
    margin: auto;
    margin-top: 3.7em;
    padding: 0.7em;
    border-radius: 20px;
    box-shadow: 1px 2px 5px 1px rgba(0, 0, 0, 0.57);
}

#section_produtos ul li div #btn_alho{
    background-color: var(--cor-amarela);
    width: 10em;
    margin: auto;
    margin-top: 2.5em;
    padding: 0.7em;
    border-radius: 20px;
    box-shadow: 1px 2px 5px 1px rgba(0, 0, 0, 0.57);
}

#section_produtos ul li div button a{
    font-family: 'Inter', 'sans-serif';
    background-color: var(--cor-amarela);
    text-decoration: none;
    font-weight: bold;
    color: var(--cor-azul);
}

#section_produtos h1{
    color: var(--cor-azul); 
    font-size: 1em;
    font-family: 'Inter', 'sans-serif';
    font-weight: bold;
    margin-top: 2em;
    margin-bottom: 2em;
}

#section_entrada div h1{
    color: var(--cor-azul);
    font-family: 'Poppins','sans-serif';
    font-size: 1.3em;
    text-align: left;
    width: 10em;
}

#section_entrada div p{
    font-family: 'Poppins', 'sans-serif';
    font-size: 0.8em;
    text-align: left;
    color: var(--cor-azul);
}

#section_entrada div button{
    margin-top: 1em;
    background-color: var(--cor-azul);
    width: 14em;
    padding: 1em;
    border-radius: 15px;
    box-shadow: 1px 2px 10px 1px rgba(0, 0, 0, 0.57);
    cursor: pointer;
}

#section_entrada div button a{
    text-decoration: none;
    color: var(--cor-amarela);
    font-family: 'Inter', 'sans-serif';
    font-weight: bold;
    cursor: pointer;
}

#section_entrada img{
    width: 8em;
    padding-right: 0px;
}

header img{
    height: 2em;
    width: 3em;
    margin-top: 0.9em;
    margin-left: 1.5em;
}

header ul #btn_fazer_pedido{
    background-color: var(--cor-amarela);
    border-radius: 20px;
    border: 2px solid var(--cor-azul);
    text-align: center;
    padding: 0.5em;
    cursor: pointer;

}

#btn_fazer_pedido a{
    text-decoration: none;
    color: var(--cor-azul);
    font-family: 'Inter', 'sans-serif';
    font-weight: bold;
    cursor: pointer;
}

header ul li {
    cursor: pointer;
}

footer{
    background-color: var(--cor-azul);
    display: flex;
    flex-direction: column;
    gap: 1em;
}

footer div{
    margin-left: 1em;
}

footer div h3{
    color: var(--cor-amarela);
    font-family: 'Poppins', 'sans-serif';
    font-size: 1em;
    margin-top: 1em;
    margin-bottom: 0.5em;
}

footer div p{
    color: var(--cor-branca);
    font-family: 'Inter', 'sans-serif';
    font-size: 0.8em;
    width: 20em;
    margin-top: 0.3em;
}

footer div p a{
    color: var(--cor-branca);
    text-decoration: none;
}

footer #texto_direitos{
    font-family: 'Inter', 'sans-serif';
    color: var(--cor-branca);
    margin: auto;
    font-size: 0.6em;
    margin-top: 1em;
    margin-bottom: 1em;
}

#btn_fazer_pedido:hover a{
    transition: 0.5s;
    color: var(--cor-amarela);
}

#btn_fazer_pedido:hover{
    background-color: var(--cor-azul);
    transition: 0.5s;
}

#section_produtos ul li div button:hover{
    background-color: var(--cor-azul);
    transition: 0.5s;
}

#section_produtos ul li div button:hover a{
    color: var(--cor-amarela);
    background-color: var(--cor-azul);
    transition: 0.5s;
}

#section_produtos ul li div #btn_alho:hover{
    background-color: var(--cor-azul);
    transition: 0.5s;
}

#section_produtos ul li div #btn_ovos_vermelho:hover{
    background-color: var(--cor-azul);
    transition: 0.5s;
}

.btn_sessoes:hover{
    border-bottom: 3px solid #0E3386;
}



/* Chrome, Edge, Safari */
#section_produtos ul::-webkit-scrollbar {
    width: 0;
    height: 0;
}

/* Firefox */
#section_produtos ul {
    scrollbar-width: none; /* esconde a barra */
}

/* IE / Edge antigo */
#section_produtos ul {
    -ms-overflow-style: none;
}
